<?php
namespace HCM\AVL\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class AnaliseApuracaoRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
    }
   
    public function getApuracaoPonderada($apuracao){
  
       $query = 'SELECT 
                  ITEM_APU_RESULT.NRITEMAPURESULT,
                  ITEM_APU_RESULT.DSITEMAPURESULT,
                  ITEM_APU_RESULT.VRRESULTITEMAP,
                  ITEM_APU_RESULT.NRPARTICIPAVAL,
                  ITEM_APU_RESULT.IDITEMAPURESULT,
                  TIPORESU.NMTIPORESU,
                  ITEM_APU_RESULT.NRITAPUNIVELANT,
                  TBL2.RESULTADO_ESPERADO
                FROM (SELECT
                        FAIXACRITRESULT.VRINIFAIXARESUL RESULTADO_ESPERADO,
                        TIPORESU.NMTIPORESU,
                        ITEM_APU_RESULT.NRITEMAPURESULT
                      FROM ITEM_APU_RESULT
                      JOIN TIPORESU
                        ON TIPORESU.CDTIPORESU = ITEM_APU_RESULT.CDTIPORESU
                        AND TIPORESU.NRORG = ITEM_APU_RESULT.NRORG
                      LEFT JOIN CRITERIORESULT
                        ON CRITERIORESULT.NRCRITERIORESUL = ITEM_APU_RESULT.NRCRITERIORESUL
                        AND CRITERIORESULT.NRORG = ITEM_APU_RESULT.NRORG
                      LEFT JOIN FAIXACRITRESULT
                        ON FAIXACRITRESULT.NRCRITERIORESUL = CRITERIORESULT.NRCRITERIORESUL
                       AND FAIXACRITRESULT.CDTIPORESU = ITEM_APU_RESULT.CDTIPORESU
                        AND FAIXACRITRESULT.NRORG = ITEM_APU_RESULT.NRORG
                      JOIN PARTICIPAVAL
                        ON PARTICIPAVAL.NRPARTICIPAVAL = ITEM_APU_RESULT.NRPARTICIPAVAL
                       AND PARTICIPAVAL.NRORG          = ITEM_APU_RESULT.NRORG
                     WHERE ITEM_APU_RESULT.NRORG           = '.$apuracao['P_NRORG'].'
                       AND ITEM_APU_RESULT.IDITEMAPURESULT IN (1,2,3)
                       AND PARTICIPAVAL.NRAVALIACAO        = '.$apuracao['P_NRAVALIACAO'].'
                       ORDER BY ITEM_APU_RESULT.DSITEMAPURESULT) TBL2, ITEM_APU_RESULT
                JOIN TIPORESU
                  ON TIPORESU.CDTIPORESU = ITEM_APU_RESULT.CDTIPORESU
                   AND TIPORESU.NRORG = ITEM_APU_RESULT.NRORG
                JOIN PARTICIPAVAL
                  ON PARTICIPAVAL.NRPARTICIPAVAL = ITEM_APU_RESULT.NRPARTICIPAVAL
                 AND PARTICIPAVAL.NRORG          = ITEM_APU_RESULT.NRORG
                WHERE ITEM_APU_RESULT.NRORG           = '.$apuracao['P_NRORG'].'
                  AND ITEM_APU_RESULT.NRITEMAPURESULT = TBL2.NRITEMAPURESULT
                  AND ITEM_APU_RESULT.IDITEMAPURESULT IN (1,2,3)
                  AND ITEM_APU_RESULT.NRPARTICIPAVAL = '.$apuracao['P_NRPARTICIPAVAL'].'
                  AND PARTICIPAVAL.NRAVALIACAO        = '.$apuracao['P_NRAVALIACAO'].'
                ORDER BY ITEM_APU_RESULT.DSITEMAPURESULT';
      return $this->connection->fetchAll($query);
    }
    
    public function getNrparticipaval($parameters){
  
       $query = 'SELECT 
                    NRPARTICIPAVAL 
                 FROM 
                    PARTICIPAVAL 
                 WHERE 
                  NRORG ='.$parameters['P_NRORG'].' 
                    AND NRPARCAVALIADO = '.$parameters['P_NRPARCAVALIADO'].'
                    AND NRPARCEXECAVAL = '.$parameters['P_NRPARCEXECAVAL'].'
                    AND NRAVALIACAO    = '.$parameters['P_NRAVALIACAO'].'';
        
        return $this->connection->fetchAll($query);
    }
}