<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\NovoCodigo;
use HCM\Util\DateUtil;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Teknisa\Model\Gestaopessoas\Entities\FpaIncidevento;

class MnemonicoService {

    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
 
    public function getMnemonicoByCodigo($cdmnemonico){
        $mnemonicos = $this->entityManager->getRepository(Repositories::GPE_MNEMONICO)->findBy(array('cdmnemonico' => $cdmnemonico));
        return $mnemonicos;
    }
} 

